function [F,pen] = OFVaR(x,cash,J,Psx, vT,rd,rf,beta)
% x and J not used (need to stay in list of arguments)
c1 = 10;
nS = length(Psx);         %(Psx=Ps*x)
vs   = Psx + (1+rf)*cash;
loss = sort(vT - vs);
iVaR = ceil((1-beta)*nS);
VaR  = loss(iVaR);
El   = mean(loss);

% Return constraint
rr   = El/vT;
pen1 = max(rd+rr,0);

penF = c1*vT*pen1;
F    = VaR + penF;
pen  = [penF pen1 -rr];  % Must have 3 elements
